summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Wayne Cuddy <wcuddy@gmail.com>2019-01-24 08:00:06 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-01-24 08:00:06 +0700
commit2fac409655bbb5b1101976f0e2befb7779a5047e (patch)
treecc1bce084a6ea75a88a15f1d84648a581ad05d19 /network
parentedbbdbf3cb82d8c5e165088ac32c3da069cdca38 (diff)
downloadslackbuilds-2fac409655bbb5b1101976f0e2befb7779a5047e.tar.gz
slackbuilds-2fac409655bbb5b1101976f0e2befb7779a5047e.tar.xz
network/open-iscsi: Added (RFC3720 iSCSI Initiator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/open-iscsi/README20
-rw-r--r--network/open-iscsi/doinst.sh15
-rw-r--r--network/open-iscsi/open-iscsi.SlackBuild110
-rw-r--r--network/open-iscsi/open-iscsi.info10
-rw-r--r--network/open-iscsi/rc.open-iscsi76
-rw-r--r--network/open-iscsi/slack-desc19
6 files changed, 250 insertions, 0 deletions
diff --git a/network/open-iscsi/README b/network/open-iscsi/README
new file mode 100644
index 0000000000..f33e734dfb
--- /dev/null
+++ b/network/open-iscsi/README
@@ -0,0 +1,20 @@
+The Open-iSCSI project is a high-performance, transport independent,
+multi-platform implementation of RFC3720 iSCSI.
+
+Open-iSCSI is partitioned into user and kernel parts.
+
+The kernel portion of Open-iSCSI is a from-scratch code
+licensed under GPL. The kernel part implements iSCSI data path
+(that is, iSCSI Read and iSCSI Write), and consists of three
+loadable modules: scsi_transport_iscsi.ko, libiscsi.ko and iscsi_tcp.ko.
+
+User space contains the entire control plane: configuration
+manager, iSCSI Discovery, Login and Logout processing,
+connection-level error processing, Nop-In and Nop-Out handling,
+and (in the future:) Text processing, iSNS, SLP, Radius, etc.
+
+The user space Open-iSCSI consists of a daemon process called
+iscsid, and a management utility iscsiadm.
+
+NOTE:
+open-isns is a build-time requirement, not a a run-time requirement.
diff --git a/network/open-iscsi/doinst.sh b/network/open-iscsi/doinst.sh
new file mode 100644
index 0000000000..fea2bd9101
--- /dev/null
+++ b/network/open-iscsi/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/iscsi/iscsid.conf
+config etc/iscsi/initiatorname.iscsi
diff --git a/network/open-iscsi/open-iscsi.SlackBuild b/network/open-iscsi/open-iscsi.SlackBuild
new file mode 100644
index 0000000000..415a6016dc
--- /dev/null
+++ b/network/open-iscsi/open-iscsi.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for open-iscsi
+
+# Copyright 2019 Wayne Cuddy USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=open-iscsi
+VERSION=${VERSION:-2.0.875}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp \
+ COPYING \
+ Changelog \
+ README \
+ THANKS \
+ TODO \
+ sysfs-documentation \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# These may be renamed back by doinst.sh.
+for cf in \
+ etc/iscsi/iscsid.conf \
+ etc/iscsi/initiatorname.iscsi
+do
+ mv $PKG/$cf $PKG/$cf.new
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.$PRGNAM > $PKG/etc/rc.d/rc.$PRGNAM
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/open-iscsi/open-iscsi.info b/network/open-iscsi/open-iscsi.info
new file mode 100644
index 0000000000..1b71602177
--- /dev/null
+++ b/network/open-iscsi/open-iscsi.info
@@ -0,0 +1,10 @@
+PRGNAM="open-iscsi"
+VERSION="2.0.875"
+HOMEPAGE="https://github.com/open-iscsi/open-iscsi"
+DOWNLOAD="https://github.com/open-iscsi/open-iscsi/archive/2.0.875/open-iscsi-2.0.875.tar.gz"
+MD5SUM="982e48181411365fa11b3364cf91a977"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="open-isns"
+MAINTAINER="Wayne Cuddy"
+EMAIL="wcuddy@gmail.com"
diff --git a/network/open-iscsi/rc.open-iscsi b/network/open-iscsi/rc.open-iscsi
new file mode 100644
index 0000000000..5b18f60d2d
--- /dev/null
+++ b/network/open-iscsi/rc.open-iscsi
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware rc.open-iscsi script, derived from init.debian in the
+# open-iscsi source package.
+
+DAEMON=/sbin/iscsid
+ADM=/sbin/iscsiadm
+PIDFILE=/var/run/iscsid.pid
+
+[ -e /etc/default/open-iscsi ] && . /etc/default/open-iscsi
+
+[ -x "$DAEMON" ] || exit 0
+
+if [ ! -d /sys/class/ ]
+then
+ echo "iSCSI requires a mounted sysfs, not started." >&2
+ exit 1
+fi
+
+start() {
+ echo "Starting iSCSI initiator service" "iscsid"
+ modprobe -q iscsi_tcp 2>/dev/null || :
+ modprobe -q ib_iser 2>/dev/null || :
+ $DAEMON $ARGS
+ sleep 1
+ starttargets
+}
+
+starttargets() {
+ echo "Setting up iSCSI targets"
+ $ADM -m node --loginall=automatic
+}
+
+stoptargets() {
+ echo "Disconnecting iSCSI targets"
+ sync
+ $ADM -m node --logoutall=all
+}
+
+stop() {
+ stoptargets
+ sleep 1
+ echo "Stopping iSCSI initiator service"
+ pkill -F $PIDFILE
+ rm -f $PIDFILE
+
+ modprobe -r iscsi_tcp
+ modprobe -r ib_iser
+}
+
+restart() {
+ stop
+ sleep 1
+ start
+}
+
+restarttargets() {
+ stoptargets
+ starttargets
+}
+
+status() {
+ echo "$(pgrep -c -F $PIDFILE -f $DAEMON) $DAEMON process(es) running"
+ echo "Current active iSCSI sessions:"
+ $ADM -m session
+}
+
+case "$1" in
+ start|starttargets|stop|stoptargets|restart|restarttargets|status)
+ $1
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
diff --git a/network/open-iscsi/slack-desc b/network/open-iscsi/slack-desc
new file mode 100644
index 0000000000..2fde800dd2
--- /dev/null
+++ b/network/open-iscsi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+open-iscsi: open-iscsi (RFC3720 iSCSI Initiator)
+open-iscsi:
+open-iscsi: Open-iSCSI is partitioned into user and kernel parts.
+open-iscsi:
+open-iscsi: The user space Open-iSCSI consists of a daemon process
+open-iscsi: called iscsid, and a management utility iscsiadm.
+open-iscsi:
+open-iscsi:
+open-iscsi:
+open-iscsi:
+open-iscsi: